# QTextListFormat Class Reference

### [com.trolltech.qt.gui package]

Inherits QTextFormat.

### Constructor

- void QTextListFormat()

### Constructor Properties

- prototype: The QTextListFormat prototype object
- ListUpperRoman = -8
- ListLowerRoman = -7
- ListUpperAlpha = -6
- ListLowerAlpha = -5
- ListDecimal = -4
- ListSquare = -3
- ListCircle = -2
- ListDisc = -1
- ListStyleUndefined = 0
- Style( value )

### Prototype Object Properties

The QTextListFormat prototype object inherits properties from the QTextFormat prototype object and also has the following properties.

- int indent()
- String numberPrefix()
- String numberSuffix()
- void setIndent(int indent)
- void setNumberPrefix(String numberPrefix)
- void setNumberSuffix(String numberSuffix)
- void setStyle(Style style)
- Style style()

### Instance Properties

QTextListFormat objects have no special properties beyond those inherited from the QTextListFormat prototype object.